gIeTab.hookCode("IeTab.prototype.updateEditMenuItems", "menu_EditPopup", "menu_Edit_Popup");
gIeTab.hookCode("IeTab.prototype.addEventAll", "menu_EditPopup", "menu_Edit_Popup");
gIeTab.hookCode("IeTab.prototype.removeEventAll", "menu_EditPopup", "menu_Edit_Popup");

gIeTab.hookCode("IeTab.prototype.updateToolsMenuItem", "menu_ToolsPopup", "taskPopup");
gIeTab.hookCode("IeTab.prototype.addEventAll", "menu_ToolsPopup", "taskPopup");
gIeTab.hookCode("IeTab.prototype.removeEventAll", "menu_ToolsPopup", "taskPopup");

gIeTab.hookCode("IeTab.prototype.hookCodeAll", "BrowserToolboxCustomizeDone", "");

gIeTab.hookCode("IeTab.prototype.hookCodeAll", "MailIntegration.sendMessage", "openComposeWindow");

gIeTab.hookCode("IeTab.prototype.hookCodeAll", "PrintUtils.print", "NSPrint");
gIeTab.hookCode("IeTab.prototype.hookCodeAll", "PrintUtils.showPageSetup", "NSPrintSetup");
gIeTab.hookCode("IeTab.prototype.hookCodeAll", "PrintUtils.printPreview", "BrowserPrintPreview");

gIeTab.hookCode("IeTab.prototype.hookCodeAll", "cmd_find", "Browser:Find");
gIeTab.hookCode("IeTab.prototype.hookCodeAll", "cmd_findAgain", "Browser:FindAgain");
gIeTab.hookCode("IeTab.prototype.hookCodeAll", "cmd_findPrevious", "Browser:FindPrev");

gIeTab.hookCode("IeTab.prototype.updateBackForwardButtons", "Browser:Back", "canGoBack");
gIeTab.hookCode("IeTab.prototype.updateBackForwardButtons", "Browser:Forward", "canGoForward");
gIeTab.hookCode("IeTab.prototype.updateStopReloadButtons",  "Browser:Stop", "canStop");

gIeTab.hookCode("IeTab.prototype.hookCodeAll", "displaySecurityInfo", "");

gIeTab.hookCode("BrowserLoadURL", "if (saveModifier) {", "$& url=gIeTab.getIeTabTrimURL(url);");

IeTab.prototype.updateProgressMeter = function(progress) {
   var statusPanel = document.getElementById("progress-panel");
   var statusMeter = document.getElementById("statusbar-icon");
   var throbberElement = document.getElementById("navigator-throbber");
   switch (progress) {
   case -1: //Turn the progress meter and throbber off.
      statusPanel.hidden = true;
      statusMeter.value = 0;
      throbberElement.removeAttribute("busy");
      break;
   default: //Turn the progress meter and throbber on.
      statusPanel.hidden = false;
      statusMeter.value = progress;
      throbberElement.setAttribute("busy", "true");
      break;
   }
}

IeTab.prototype.updateProgressStatus = function() {
   if (!gBrowser) return;
   var ietab = gIeTab.getIeTabElmt();
   var progress = (ietab ? ietab.progress : (gBrowser.mIsBusy?gBrowser.mProgress:-1));
   gIeTab.updateProgressMeter(progress);
}
